Get refunds list - Refunds - Mercado Pago Developers
Get refunds list

Get all Refunds for a specific payment.

GET

https://api.mercadopago.com/v1/payments/{id}/refunds
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
string

REQUIRED

Payment identifier
Response parameters
id
number
Refund identifier
payment_id
number
Payment identifier
amount
number
Payment identifier
metadata
array
Contains payment metadata that is sent to us in the payment post
Errors

400Error

400

Bad-Request

401Error

5

Must-provide-your-access-token-to -proceed

404Error

2000

Payment-not-found

Request
curl -X GET \
    'https://api.mercadopago.com/v1/payments/{id}/refunds'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": 1032332129,
  "payment_id": 18552260055,
  "amount": 4,
  "metadata": [
    {}
  ],
  "source": [
    {
      "name": {
        "en": "Firstname Lastname",
        "pt": "Nome e sobrenome",
        "es": "Nombre y apellido"
      },
      "id": "1003743392",
      "type": "collector"
    }
  ],
  "date_created": "2021-11-24T13:58:49.312-04:00",
  "unique_sequence_number": null,
  "refund_mode": "standard",
  "adjustment_amount": 0,
  "status": "approved",
  "reason": null,
  "label": [
    {}
  ],
  "partition_details": [
    {}
  ]
}